import collections

ApplicationVersion = collections.namedtuple('ApplicationVersion', 'repository_name application_name application_version')

def parse_application_spec(spec):
    try:
        if '/' in spec:
            repo, app = spec.split('/')
        else:
            repo, app = '', spec
        app, version = app.split(':')
    except:
        raise ValueError('Invalid application spec, must be <repo>/<app>:<version>')
    return ApplicationVersion(repository_name=repo, application_name=app, application_version=version)
